#!/bin/bash

# 设置每台机器背光初始化默认为最大值.
xset_default_brightness()
{
	if [ -d /sys/class/backlight ]
	then
		for blpath in $(ls /sys/class/backlight/)
		do
    		if [ -e "/sys/class/backlight/$blpath" ]
    		then
        		defaultvalue=$(cat /sys/class/backlight/$blpath/max_brightness)
        		echo $defaultvalue > /sys/class/backlight/$blpath/brightness
        	fi
    	done
	fi
}

xset_default_brightness
