#!/bin/bash

CONF_FILE=/etc/lightdm/lightdm.conf
TEMP_CONF_FILE=/etc/lightdm/lightdm.conf.real

LIGHTDM_CONF_FILE=/usr/share/lightdm/lightdm.conf.d/01_debian.conf
LIGHTDM_TEMP_CONF_FILE=/usr/share/lightdm/lightdm.conf.d/01_debian.conf.real

init_firstboot() {
    echo "init_firstboot"
    if [ -f "${CONF_FILE}" ]; then
        #install -v -m644 "${CONF_FILE}" "${TEMP_CONF_FILE}"
        cp "${CONF_FILE}" "${TEMP_CONF_FILE}"
    fi

    cat > "${CONF_FILE}" <<EOF
[Seat:*]
#display-setup-script=
#greeter-session=
greeter-setup-script=/usr/share/nfs-installer-oobe/usr/bin/oobe.sh
EOF

    local LIGHTDM_CONF_FILE=/usr/share/lightdm/lightdm.conf.d/01_debian.conf
    local LIGHTDM_TEMP_CONF_FILE=/usr/share/lightdm/lightdm.conf.d/01_debian.conf.real
    if [ -f "${LIGHTDM_CONF_FILE}" ]; then
        #install -v -m644 "${LIGHTDM_CONF_FILE}" "${LIGHTDM_TEMP_CONF_FILE}"
        cp "${LIGHTDM_CONF_FILE}" "${LIGHTDM_TEMP_CONF_FILE}"
    fi

    cat > "${LIGHTDM_CONF_FILE}" <<EOF
[Seat:*]
greeter-session=lightdm-greeter
greeter-hide-users=true
session-wrapper=/etc/X11/Xsession
EOF
}

start_firstboot()
{
    if [[ -f "/usr/share/nfs-installer-oobe/first_boot" ]] && [[ ! -f $TEMP_CONF_FILE ]];then
        init_firstboot     
    fi
}

start_firstboot

exit 0

